$COMMAND
MAGELLAN
OPEN MGN
set messages off; set error messages off
set color backgrnd blue; set color foregrnd white
set bell off; set var pick1 int
LABEL STARTAPP
  newpage
  clear whval1 whval2
  CHOOSE PICK1 FROM Main in MAGELLAN.APX
  IF PICK1 = 0 THEN
    goto ENDAPP
  ENDIF
  IF PICK1 = 1 THEN
    run OPTION1 in MAGELLAN.APX
  ENDIF
  IF PICK1 = 2 THEN
    run OPTION2 in MAGELLAN.APX
  ENDIF
  IF PICK1 = 3 THEN
    run OPTION3 in MAGELLAN.APX
  ENDIF
  IF PICK1 = 4 THEN
    run OPTION4 in MAGELLAN.APX
  ENDIF
  IF PICK1 = 5 THEN
    run MIDR_0 in MAGELLAN.APX
  ENDIF
  IF PICK1 = 6 THEN
    goto ENDAPP
  ENDIF
  GOTO STARTAPP
LABEL ENDAPP
clear pick1; newpage
set messages on; set error messages on
set color backgrnd black; set color foregrnd gray
return
$COMMAND
OPTION1
    newpage; write " "
    write "THIS OPTION FINDS IMAGES/CD-ROMS WHICH CONTAIN A SPECIFIC LAT/LONG."
    write "THE COLUMN VIEW SHOWS THE DIRECTION OF RADAR ILLUMINATION."
    write "NAMES ENDING WITH *;201 OR *;202 ARE FROM CYCLE 2."; write " "
    set var whval1 double whval2 double
    fillin whval1 using "ENTER LATITUDE (90.0 to -90.0): "
    fillin whval2 using "ENTER LONGITUDE (0.0 to 360.0): "
    write " "
    if whval1 < -90 or whval1 > 90 or whval2 < 0 or whval2 > 360 or +
       whval1 fails or whval2 fails then
         write "Value of latitude or longitude out of range."
         write "Hit any key to continue."; pause; goto ENDOPTION
    endif
    if whval2 = 360 then; set var whval2 = 0; endif
    select type midr cdrom view from midr +
      where lowerlat <= .whval1 and upperlat >= .whval1 +
      and farleft <= .whval2 and farright >= .whval2
    write " "
    if (.whval2 + 360) < 713.19 then
      select type midr cdrom view from midr +
        where lowerlat <= .whval1 and upperlat >= .whval1 +
        and farleft <= (.whval2 + 360) and farright >= (.whval2 + 360)
    endif
    write " ";write "Hit any key to continue.  (Shift-Print Screen to print)"
    pause
    label ENDOPTION
    return
$COMMAND
OPTION2
    newpage; write " "
    write "THIS OPTION FINDS NAMED FEATURE COORDINATES AND NAME ORIGINS."
    write "FEATURES MAY HAVE A UNIQUE LATITUDE /LONGITUDE OR COVER A RANGE."
    write " "
    write "ENTER WHOLE OR PARTIAL NAMES; i.e."
    write "APHRODITE TERRA or APHRODITE or APHRO or DITE or TERRA"
    write " "
    write "MORE THAN ONE FEATURE MAY BE FOUND (i.e. TERRA)"
    write "VIEW THEM ONE BY ONE BY CHOOSING Next (F8) AND Previous (F7)."
    write "STOP BY CHOOSING Quit OR HITTING Escape."
    write " "
    write "USE Shift-Print Screen TO PRINT."
    write " "
    set var whval1 text
    fillin whval1 using "ENTER FEATURE NAME: "
    if whval1 fails then; goto ENDOPTION; endif
    edit using names where name contains .whval1
    label ENDOPTION
    return
$COMMAND
OPTION3
    newpage; write " "
    write "THIS OPTION FINDS THE NAMED FEATURES ON A SPECIFIED MOSAIC."
    write "FOR EXAMPLE, IF YOU WANT TO ANNOTATE THE FEATURES IN A PARTICULAR"
    write "IMAGE, THIS OPTION CAN HELP."
    write " "
    write "ALL FEATURES WHICH OVERLAP OR LIE INSIDE THE SPECIFIED MOSAIC WILL"
    write "BE FOUND.  SOME FEATURES MAY BE LARGER THAN THE MOSAIC, SO THEY WILL"
    write "NOT BE COMPLETELY CONTAINED INSIDE."
    write " "
    set var whval1 text whval2 text
    fillin whval1 using "ENTER MOSAIC TYPE (i.e. F, C1, C2): "
    fillin whval2 using "ENTER MOSAIC NAME (i.e. 75N351;1 or 75N351*): "
    if whval1 fails or whval2 fails then; goto ENDOPTION; endif
    set pointer #3 point for midr where type=.whval1 and midr contains .whval2
    if point ne 0 then
      write " "; write "The mosaic name and type you entered cannot be found."
      write "Hit any key to continue."; pause; goto ENDOPTION
    endif
    set var upperlat=upperlat lowerlat=lowerlat farleft=farleft +
      farright=farright type=type midr=midr from #3
    newpage; write .type; write .midr at 1,4; write " "
    run FEATURES in MAGELLAN.APX using .upperlat .lowerlat .farleft .farright
    pause
    label ENDOPTION
    clear pointer #3
    clear type midr point upperlat, lowerlat, farleft, farright
    return
$COMMAND
OPTION4
    set var upperlat double lowerlat double farleft double farright double
    newpage; write " "
    write "THIS OPTION FINDS THE NAMED FEATURES INSIDE A SPECIFIED REGION."
    write "IT CAN FIND WHETHER A FEATURE YOU HAVE LOCATED HAS A NAME."
    write "THE REGION CAN BE A POINT (ONE LAT/LONG), OR IT CAN WRAP PAST 360."
    write " "
    write "ALL FEATURES WHICH OVERLAP OR LIE INSIDE THE SPECIFIED REGION WILL"
    write "BE FOUND.  SOME FEATURES MAY BE LARGER THAN THE REGION, SO THEY WILL"
    write "NOT BE COMPLETELY CONTAINED INSIDE."
    write " "
    fillin upperlat using "UPPER LATITUDE (90.0 to -90.0): "
    fillin lowerlat using "LOWER LATITUDE (90.0 to -90.0): "
    fillin farleft  using "ENTER LEFT LONGITUDE  (0.0 to 360.0): "
    fillin farright using "ENTER RIGHT LONGITUDE (0.0 to .....): "
    write " "
    if upperlat > 90 or upperlat < -90 or lowerlat > 90 or lowerlat < -90 +
      or farleft < 0 or farleft > 360 or farright < 0 +
      or upperlat fails or lowerlat fails or farleft fails or farright fails +
      or lowerlat > upperlat or farleft > farright then
        write "Value of latitude or longitude out of range."
        write "Hit any key to continue."; pause; goto ENDOPTION
    endif
    run FEATURES in MAGELLAN.APX using .upperlat .lowerlat .farleft .farright
    pause
    label ENDOPTION
    clear upperlat lowerlat farleft farright
    return
$COMMAND
FEATURES
  select feature name from names where +
    lowerlat <= .%1 and upperlat >= .%2 and +
    farleft <= .%4 and farright >= .%3
  if %4 >= 360 then
    write " "
    select feature name from names where +
      lowerlat <= .%1 and upperlat >= .%2 and +
      farleft <= (.%4 - 360) and farright >= (.%3 - 360)
  endif
  if %3 <= 9.8 then
    write " "
    select feature name from names where +
      lowerlat <= .%1 and upperlat >= .%2 and +
      farleft <= (.%4 + 360) and farright >= (.%3 + 360)
  endif
  write " "; write "Hit any key to continue. (Shift-Print Screen to print)"
  clear %1 %2 %3 %4
  return
$COMMAND
MIDR_0
set var pick1 int
newpage; display MIDR_SCR in MAGELLAN.APX; pause
label STARTMDR
  newpage
  clear whval1 whval2
  choose pick1 from MIDR_MNU in MAGELLAN.APX
  if pick1=0 then
    goto ENDMDR
  endif
  if pick1=1 then
    run MIDR_1 in MAGELLAN.APX
  endif
  if pick1=2 then
    run MIDR_2 in MAGELLAN.APX
  endif
  if pick1=3 then
    run MIDR_3 in MAGELLAN.APX
  endif
  if pick1=4 then
    run MIDR_4 in MAGELLAN.APX
  endif
  if pick1=5 then
    goto ENDMDR
  endif
  goto STARTMDR
label ENDMDR
return
$COMMAND
MIDR_1
    set var whval1 text whval2 text
    newpage; write " "
    write "THIS OPTION FINDS MIDRS BY TYPE AND MIDR NAME."; write " "
    write "USE NEXT (F8) OR PREVIOUS (F7) TO MOVE FROM MIDR TO MIDR.";write " "
    fillin whval1 using "ENTER THE MIDR TYPE (F, C1, C2, C3, *): "
    fillin whval2 using "ENTER THE MIDR NAME (45N032;1, 45N03*): "
    if whval1 fails or whval2 fails then; goto ENDOPT; endif
    edit using midr where type=.whval1 and midr=.whval2
    label ENDOPT
    return
$COMMAND
MIDR_2
    set var whval1 text
    newpage; write " "
    write "THIS OPTION FIND MIDRS BY CDROM NUMBER."; write " "
    write "THE MIDRS ARE SORTED BY CDROM AND MIDR NAME."; write " "
    write "USE NEXT (F8) OR PREVIOUS (F7) TO MOVE FROM MIDR TO MIDR.";write " "
    fillin whval1 using "ENTER THE CDROM (CD.001, CD.080, CD.07*): "
    if whval1 fails then; goto ENDOPT; endif
    edit using midr sorted by cdrom midr where cdrom=.whval1
    label ENDOPT
    return
$COMMAND
MIDR_3
    set var whval1 int whval2 int
    newpage; write " "
    write "THIS OPTION FINDS MIDRS WHICH OVERLAP OR LIE BETWEEN A FIRST AND"
    write "LAST ORBIT (COVER A SINGLE ORBIT IF FIRST = LAST ORBIT)."
    write "F AND C1 MIDRS ARE SHOWN FROM NORTH TO SOUTH. C2 AND C3 MIDRS"
    write "ARE NOT SHOWN, SINCE THEY LACK FIRST/LAST ORBIT NUMBERS."; write " "
    write "ORBIT NUMBERS GO FROM 376 TO 3889."; write " "
    write "USE NEXT (F8) OR PREVIOUS (F7) TO MOVE FROM MIDR TO MIDR.";write " "
    fillin whval1 using "DESIRED FIRST ORBIT: "
    fillin whval2 using "DESIRED LAST  ORBIT: "
    if whval1 fails or whval2 fails or whval1 > whval2 then; goto ENDOPT; endif
    edit using midr where startrev <= .whval2 and endrev >= .whval1
    label ENDOPT
    return
$COMMAND
MIDR_4
    set var upperlat double lowerlat double farleft double farright double
    newpage; write " "
    write "THIS OPTION FINDS MIDRS WHICH OVERLAP OR LIE INSIDE"
    write "A SPECIFIED LATITUDE / LONGITUDE REGION."; write " "
    fillin upperlat using "UPPER LATITUDE (90.0 to -90.0): "
    fillin lowerlat using "LOWER LATITUDE (90.0 to -90.0): "
    fillin farleft  using "ENTER LEFT LONGITUDE  (0.0 to 360.0): "
    fillin farright using "ENTER RIGHT LONGITUDE (0.0 to .....): "
    write " "
    if upperlat > 90 or upperlat < -90 or lowerlat > 90 or lowerlat < -90 +
      or farleft < 0 or farleft > 360 or farright < 0 +
      or upperlat fails or lowerlat fails or farleft fails or farright fails +
      or lowerlat > upperlat or farleft > farright then
        write "Value of latitude or longitude out of range."
        write "Hit any key to continue."; pause; goto ENDOPT
    endif
    run MIDRS in MAGELLAN.APX using .upperlat .lowerlat .farleft .farright
    pause; clear upperlat lowerlat farleft farright
    label ENDOPT
    return
$COMMAND
MIDRS
  select type midr cdrom view from midr where +
    lowerlat <= .%1 and upperlat >= .%2 and +
    farleft <= .%4 and farright >= .%3
  if %4 >= 360 then
    write " "
    select type midr cdrom view from midr where +
      lowerlat <= .%1 and upperlat >= .%2 and +
      farleft <= (.%4 - 360) and farright >= (.%3 - 360)
  endif
  if %3 <= 354 then
    write " "
    select type midr cdrom view from midr where +
      lowerlat <= .%1 and upperlat >= .%2 and +
      farleft <= (.%4 + 360) and farright >= (.%3 + 360)
  endif
  write " "; write "Hit any key to continue. (Shift-Print Screen to print)"
  clear %1 %2 %3 %4
  return
$MENU
Main
COLUMN MAGELLAN IMAGE AND FEATURE LOCATIONS
FIND IMAGES BY LATITUDE / LONGITUDE
FIND LATITUDE / LONGITUDE / ORIGIN  OF A NAMED FEATURE
FIND NAMED FEATURES IN A SPECIFIC IMAGE
FIND NAMED FEATURES NEAR A SPECIFIC LATITUDE/LONGITUDE
FIND IMAGE MOSAICS BY SEVERAL CRITERIA
EXIT
$MENU
MIDR_MNU
COLUMN MAGELLAN IMAGE MOSAICS
FIND MIDRS BY MIDR NAME AND TYPE
FIND MIDRS BY CDROM
FIND MIDRS BY ORBIT NUMBER
FIND MIDRS WITHIN A SPECIFIED REGION
RETURN TO MAIN MENU
$SCREEN
MIDR_SCR
 
     The following options allow you to find image mosaics, called
     "Mosaiced Image Data Records" or MIDRs, by several different
     criteria.  The information about each MIDR is shown using a full
     screen form.  MIDR names ending with *;2 indicate an "improved"
     version of the mosaic, while names ending with *;201 and *;202 mean
     mosaics from Cycle 2.  (*;202 indicates a "second" version of a
     Cycle 2 mosaic, usually with the opposite radar "view" direction.)
 
     Most of these options will locate information about a number of
     image mosaics, rather than just one.  In order to scan through
     the different mosaics, use the NEXT or PREVIOUS menu selections,
     which can be abbreviated as N or P followed by a carriage return,
     or F8 and F7 without a carriage return.
 
     When you are finished examining the records located by an option,
     you can return to the menu by using QUIT, abbreviated as Q followed
     by a carriage return, or the ESCAPE key without a carriage return.
 
                         Hit any key to continue.
